Last Comment Bug 641330 - maxrows="10" doesn't work
: maxrows="10" doesn't work
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1final
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on: 401417
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-13 08:25 PDT by neil@parkwaycc.co.uk
Modified: 2011-04-12 02:44 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Macaw+
.1-fixed


Attachments
Proposed patch [Checked in: Comment 3 & 6] (2.11 KB, patch)
2011-03-13 08:28 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
dveditz: approval2.0+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2011-03-13 08:25:35 PDT
The SeaMonkey search bar uses a toolkit autocomplete binding for the search box but an xpfe autocomplete binding for the search popup. This means that the maxrows setting does not propagate.
Comment 1 neil@parkwaycc.co.uk 2011-03-13 08:28:39 PDT
Created attachment 519009 [details] [diff] [review]
Proposed patch
[Checked in: Comment 3 & 6]
Comment 2 Ian Neal 2011-03-13 16:55:55 PDT
Comment on attachment 519009 [details] [diff] [review]
Proposed patch
[Checked in: Comment 3 & 6]

No sign of xpfe autocomplete disappearing soon then?
Comment 3 neil@parkwaycc.co.uk 2011-03-23 15:20:04 PDT
Pushed changeset 2a2956f3eb47 to mozilla-central.

(In reply to comment #2)
> No sign of xpfe autocomplete disappearing soon then?
At best, it will move to suite when Thunderbird stops depending on it.
Comment 4 neil@parkwaycc.co.uk 2011-03-23 15:21:37 PDT
Comment on attachment 519009 [details] [diff] [review]
Proposed patch
[Checked in: Comment 3 & 6]

Want this on the 2.0 branch because we're hoping to release from it, and this is SeaMonkey code (not part of Firefox) that still lives in Mozilla for now.
Comment 5 Daniel Veditz [:dveditz] 2011-04-01 10:50:01 PDT
Comment on attachment 519009 [details] [diff] [review]
Proposed patch
[Checked in: Comment 3 & 6]

Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 6 christian 2011-04-11 15:31:14 PDT
Transplanted from mozilla-central onto releases/mozilla2.0:

  http://hg.mozilla.org/releases/mozilla-2.0/rev/a5edb74598d5

Note You need to log in before you can comment on or make changes to this bug.